Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview.audit
Class ActiveAuditInfo<Handle,Identifier extends RawSerializable>

    java.lang.Object
      org.mpisws.p2p.transport.peerreview.audit.ActiveAuditInfo<Handle,Identifier>

    public class ActiveAuditInfo<Handle,Identifier extends RawSerializable>

extends java.lang.Object

Field Summary
`long` | `currentTimeout`
`long` | `evidenceSeq`
`boolean` | `isReplaying`
`ChallengeMessage<Identifier>` | `request`
`boolean` | `shouldBeReplayed`
`Handle` | `target`
`Verifier` | `verifier`

Constructor Summary
`ActiveAuditInfo(Handle target, boolean shouldBeReplayed, boolean isReplaying, long currentTimeout, ChallengeMessage<Identifier> request, long evidenceSeq, Verifier verifier)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### target

    public Handle target

### shouldBeReplayed

    public boolean shouldBeReplayed

### isReplaying

    public boolean isReplaying

### currentTimeout

    public long currentTimeout

### request

    public ChallengeMessage<Identifier extends RawSerializable> request

### evidenceSeq

    public long evidenceSeq

### verifier

    public Verifier verifier

Constructor Detail

### ActiveAuditInfo

    public ActiveAuditInfo(Handle target,
                           boolean shouldBeReplayed,
                           boolean isReplaying,
                           long currentTimeout,
                           ChallengeMessage<Identifier> request,
                           long evidenceSeq,
                           Verifier verifier)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.